# constants.py
# this file stores constants for
# calculating life expectancy/deaths


# Thembisa - ages: 0-90 / years: 2000-2017
EXTENDED_AGEGROUP = list(range(0, 91))
EXTENDED_YEARS = list(range(2000, 2018))

# constant to parse Thembisa data
MONTHLY_TAB = 'Monthly'
AGE = 'age'
NONAIDS_DEATH_MEN = 'no_aids_men'
NONAIDS_DEATH_WOMEN = 'no_aids_women'
ALLCAUSE_DEATH_MEN = 'all_cause_men'
ALLCAUSE_DEATH_WOMEN = 'all_cause_women'
AIDS_DEATH_MEN = "aids_men"
AIDS_DEATH_WOMEN = "aids_women"
POPULATION_MEN = 'pop_men'
POPULATION_WOMEN = 'pop_women'

# constants for cause of deaths
ALLCAUSE = "all_cause"
HIVAIDS = "hiv_aids"
NONHIVAIDS = "non_hiv_aids"
DEATH_STATUS = [HIVAIDS, NONHIVAIDS, ALLCAUSE]


# constants for calculating ASMR (Age-specific Mortality Rate)
POP_SIZE = "population_size"
STAN_POP_SIZE = 100000

# The years for life expectancy
CALCULATE_YEARS = ['2006', '2007', '2008', '2009', '2010', '2011', '2012',
                   '2013', '2014', '2015', '2016', '2017']
AGE_SHORTENED = ['at birth', 'at 1', 'at 5', 'at 15', 'at 25', 'at 40', 'at 65']
AGE_EXTENDED = ["at " + str(s) for s in EXTENDED_AGEGROUP]
AGE_EXTENDED[0] = "at birth"
AGE_EXTENDED[-1] = "90+"


MEN = 'men'
WOMEN = 'women'
BOTH = 'both'
SEXES = [MEN, WOMEN, BOTH]


# nmx estimates
NMX_PREF = "nmx"
NMX_AIDS_MEN = '_'.join([NMX_PREF, HIVAIDS, MEN])
NMX_AIDS_WOMEN = '_'.join([NMX_PREF, HIVAIDS, WOMEN])
NMX_AIDS_BOTH = '_'.join([NMX_PREF, HIVAIDS, BOTH])
NMX_NONAIDS_MEN = '_'.join([NMX_PREF, NONHIVAIDS, MEN])
NMX_NONAIDS_WOMEN = '_'.join([NMX_PREF, NONHIVAIDS, WOMEN])
NMX_NONAIDS_BOTH = '_'.join([NMX_PREF, NONHIVAIDS, BOTH])
NMX_ALLCAUSE_MEN = '_'.join([NMX_PREF, ALLCAUSE, MEN])
NMX_ALLCAUSE_WOMEN = '_'.join([NMX_PREF, ALLCAUSE, WOMEN])
NMX_ALLCAUSE_BOTH = '_'.join([NMX_PREF, ALLCAUSE, BOTH])

